crashpad::test::WinMultiprocessWithTempDir Class Reference

Manages a multiprocess test on Windows with a parent-created temporary directory. More...

`#include "test/win/win_multiprocess_with_temp_dir.h"`

Inheritance diagram for crashpad::test::WinMultiprocessWithTempDir:

## Protected Member Functions

void | WinMultiprocessParentBeforeChild () override
| The optional routine run in parent before the child is spawned. More...
void | WinMultiprocessParentAfterChild (HANDLE child) override
| The optional routine run in parent after the child exits. More...
base::FilePath | GetTempDirPath () const
| Returns the path of the temp directory.
Protected Member Functions inherited from crashpad::test::WinMultiprocess
void | SetExpectedChildExitCode (unsigned int exit_code)
| Sets the expected exit code of the child process. More...
FileHandle | ReadPipeHandle () const
| Returns the read pipe's file handle. More...
FileHandle | WritePipeHandle () const
| Returns the write pipe's file handle. More...
void | CloseReadPipe ()
| Closes the read pipe. More...
void | CloseWritePipe ()
| Closes the write pipe. More...
HANDLE | ChildProcess () const
| Returns a handle to the child process. More...

## Additional Inherited Members

Static Public Member Functions inherited from crashpad::test::WinMultiprocess
template<class T >
static void | Run ()
| Runs the test. More...

## Detailed Description

Manages a multiprocess test on Windows with a parent-created temporary directory.

This class creates a temp directory in the parent process for the use of the subprocess and its children. To ensure a raceless rundown, it waits on the child process and any processes directly created by the child before deleting the temporary directory.

## Member Function Documentation

## WinMultiprocessParentAfterChild()

void crashpad::test::WinMultiprocessWithTempDir::WinMultiprocessParentAfterChild | ( | HANDLE | child | ) |

overrideprotectedvirtual

The optional routine run in parent after the child exits.

Subclasses may implement this method to clean up the environment after the child process has exited.

Parameters

  [in] | child | A handle to the exited child process.

Reimplemented from crashpad::test::WinMultiprocess.

## WinMultiprocessParentBeforeChild()

void crashpad::test::WinMultiprocessWithTempDir::WinMultiprocessParentBeforeChild | ( |  | ) |

overrideprotectedvirtual

The optional routine run in parent before the child is spawned.

Subclasses may implement this method to prepare the environment for the child process.

Reimplemented from crashpad::test::WinMultiprocess.

The documentation for this class was generated from the following files:

- test/win/win_multiprocess_with_temp_dir.h
- test/win/win_multiprocess_with_temp_dir.cc